﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] xValueArray      = DataGen.Consecutive(51);
            double[] sineValueArray   = DataGen.Sin(51);
            double[] cosineValueArray = DataGen.Sin(51);

            ScatterPlot sineScatterPlot   = plot.AddScatter(xValueArray, sineValueArray  , color : Color.Red );
            ScatterPlot cosineScatterPlot = plot.AddScatter(xValueArray, cosineValueArray, color : Color.Blue);

            plot.Remove(sineScatterPlot);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}